import type { App } from 'vue';
import nsTree from './tree.vue';
import nsTreeApi from './tree-api.vue';

export const NsTree = function (app: App) {
  app.component(nsTree.name, nsTree);
  app.component(nsTreeApi.name, nsTreeApi);
  return app;
};
